## octave-strings 1.0.5

=== DESCRIPTION ===
Name: strings
Version: 1.0.5
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: String Handling.
Description: Additional manipulation functions
Depends: octave (>= 2.9.7)
Autoload: yes
BuildRequires: pcre-devel
License: See individual files
Url: http://octave.sf.net

## octave-strings 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: strings
-Version: 1.0.5
-Date: 2008-04-29
+Version: 1.0.7
+Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community
 Title: String Handling.

=== src/Makefile ===
sinclude Makeconf

ifeq ($(HAVE_PCRE),yes)
  PROGS:=pcregexp.oct
endif

ifeq ($(HAVE_PCRE_CONFIG),yes)
  PCRE_OPTIONS=$(shell pcre-config --cflags --libs)
else
  PCRE_OPTIONS=-lpcre
endif

all: $(PROGS)

pcregexp.oct: pcregexp.cc
	$(MKOCTFILE) $< $(PCRE_OPTIONS)

clean: ; -$(RM) *.o core octave-core *.oct *~

=== debian/changelog ===
octave-strings (1.0.7-3) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571903)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes needed 
  * Add libpcre3-dev to build-depends, it is needed for building
    pcregexp.oct

 -- Thomas Weber <tweber@debian.org>  Thu, 21 Apr 2011 21:32:35 +0200

octave-strings (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Add dependency on octave-control for swap.m, used by cstrcmp.m

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 01:08:03 +0100

octave-strings (1.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:25:56 +0200

octave-strings (1.0.6-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 06 Apr 2009 23:47:14 +0200

octave-strings (1.0.6-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 14 Dec 2008 17:21:20 +0100

octave-strings (1.0.5-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 12:38:29 +0200

octave-strings (1.0.4-1) unstable; urgency=low

  * Initial release (closes: #468527)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 14:43:24 +0100

=== debian/control ===
Source: octave-strings
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), octave-control, libpcre3-dev
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/strings
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-strings.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-strings.git

Package: octave-strings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}, octave-control
Description: additional string manipulation functions for Octave
 This package provides additional functions to manipulate strings in octave,
 including the possibility to decode from base64 and encode into it and using
 perl-compatible regular expressions.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-strings 1.1.0

=== DESCRIPTION ===
Name: strings
Version: 1.1.0
Date: 2012-03-16
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: String Handling.
Description: Additional manipulation functions
Depends: octave (>= 3.6.0)
Autoload: no
BuildRequires: pcre-devel [Debian] libpcre3-dev
License: GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== src/Makefile ===
MKOCTFILE = mkoctfile -Wall

all: pcregexp.oct

%.oct: %.cc
	$(MKOCTFILE) $<

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-strings (1.1.0-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:54 +0000

octave-strings (1.1.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * debian/copyright: update to machine-readable format 1.0
  * Drop the dependencies on octave-control
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/clean: Remove this obsolete file
  * debian/control: Fix typos and improve wording in package description
  * debian/patches/autoload-yes.patch: Add patch

 -- Thomas Weber <tweber@debian.org>  Sat, 17 Mar 2012 00:55:21 +0100

=== debian/control ===
Source: octave-strings
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), libpcre3-dev
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/strings
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-strings.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-strings.git

Package: octave-strings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional string manipulation functions for Octave
 This package provides additional functions to manipulate strings in Octave,
 including the possibility to decode from and encode into base64, and using
 Perl-compatible regular expressions.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/strings-([\d.]+)\.tar\.gz\?download

## octave-strings 1.2.0

=== debian/changelog ===
octave-strings (1.2.0-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:18 +0100

octave-strings (1.2.0-6) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 04:05:37 -0300

octave-strings (1.2.0-5) unstable; urgency=medium

  * d/p/err-instead-of-gripes.patch: New patch (allow compilation
    against Octave 5.1)
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 13:24:29 -0300

octave-strings (1.2.0-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:54 -0200

octave-strings (1.2.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:17 -0200

octave-strings (1.2.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/copyright: Reflect upstream changes (version 1.2.0)
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field
  * d/clean: New file

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:53 -0200

octave-strings (1.2.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.0
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)

  [ Sébastien Villemot ]
  * d/p/remove-strjoin.patch: remove patch, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 31 Jul 2015 11:19:26 +0200

octave-strings (1.1.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * Bump to Standards-Version 3.9.6, no changes needed
  * Remove strjoin.m, which is now in Octave core (Closes: 741033)
  * Ensure that all files are mentioned in debian/copyright (fix Lintian
    warning)

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 18 Sep 2014 18:13:13 -0300

=== debian/control ===
Source: octave-strings
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               libpcre3-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/strings/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-strings.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-strings
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-strings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional string manipulation functions for Octave
 This package provides additional functions to manipulate strings in Octave,
 including the possibility to decode from and encode into base64, and using
 Perl-compatible regular expressions.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/strings-(.+)\.tar\.gz

## octave-strings 1.3.0

=== DESCRIPTION ===
Name: strings
Version: 1.3.0
Date: 2022-06-28
Author: various authors
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: String Handling.
Description: Additional functions for manipulation and analysis of strings.
Depends: octave (>= 3.8.0)
Autoload: no
BuildRequires: pcre-devel [Debian] libpcre3-dev
License: GPLv3+, FreeBSD
Url: http://octave.sourceforge.net/strings/

=== debian/changelog ===
octave-strings (1.3.0-3) unstable; urgency=medium

  * More robust way of cleaning files generated by the configure script
    + d/rules: Call "make distclean" in execute_after_dh_clean rule
  * Proper way of cleaning the files generated by the configure script
    + d/rules: Drop the execute_after_dh_clean target
    + d/control: Build-Depend on dh-octave >= 1.2.3
      In this version, dh_octave-clean calls make distclean and
      removes the src/*-tst files.
  * d/clean: Drop useless file
  * d/copyright: Update copyright years for debian/* files
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning debian-watch-lacks-sourceforge-redirector
  * d/p/unwind-protect-cleanup.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 18 Nov 2022 00:41:13 -0300

octave-strings (1.3.0-2) unstable; urgency=medium

  * d/clean: Drop obsolete file
  * d/control: Build-depend on dh-octave >= 1.2.2. In this version,
    dh_octave_clean removes the src/*-tst files and calls make
    distclean in order to remove the files generated by the configure
    script.
  * d/copyright: Update copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 09:01:13 -0300

octave-strings (1.3.0-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call

  [ Sébastien Villemot ]
  * New upstream version 1.3.0
  * d/copyright: reflect upstream changes
  * Drop patches, no longer needed
    + build-against-octave-6.patch
    + build-against-pcre2.patch
    + err-instead-of-gripes.patch
  * d/clean: add files generated by new configure script
  * d/control: add Build-Depends on pkg-config, needed by configure script

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 04 Jul 2022 14:06:41 +0200

octave-strings (1.2.0-12) unstable; urgency=medium

  * d/p/build-against-pcre2.patch: Fix memory allocation problem

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Nov 2021 03:20:11 -0300

octave-strings (1.2.0-11) unstable; urgency=medium

  * Migrate to PCRE2
    + d/control: Build-depend on libpcre2-dev
    + d/p/build-against-pcre2.patch: New patch (Closes: #1000106)
  * d/copyright:
    + Update copyright year of debian/* files
    + Accentuate my family name
  * d/u/metadata: Set Archive field
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 26 Nov 2021 16:18:31 -0300

octave-strings (1.2.0-10) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:23:36 +0100

octave-strings (1.2.0-9) experimental; urgency=medium

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: New file for removing build left-over
  * d/p/build-against-octave-6.patch: New patch (Closes: #976200)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 01 Dec 2020 19:22:46 -0300

octave-strings (1.2.0-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-strings: Add Multi-Arch: same.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 Nov 2020 16:25:04 -0300

octave-strings (1.2.0-7) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Thu, 30 Jul 2020 15:48:31 -0300

=== debian/control ===
Source: octave-strings
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissière <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 1.2.3),
               dh-sequence-octave,
               libpcre2-dev,
               pkg-config
Standards-Version: 4.6.1
Homepage: https://octave.sourceforge.io/strings/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-strings.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-strings
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-strings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Multi-Arch: same
Description: additional string manipulation functions for Octave
 This package provides additional functions to manipulate strings in Octave,
 including the possibility to decode from and encode into base64, and using
 Perl-compatible regular expressions.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/strings/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/strings-(.+).tar.gz

## octave-strings 1.3.1

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2018-2019 John Donoghue
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.
TOPDIR := $(shell pwd)

## Some shell programs
MD5SUM    ?= md5sum
SED       ?= sed
GREP      ?= grep
TAR       ?= tar
GZIP      ?= gzip
CUT       ?= cut
TR        ?= tr
TEXI2PDF  ?= texi2pdf -q

PACKAGE := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
VERSION := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

TARGET_DIR      := target
RELEASE_DIR     := $(TARGET_DIR)/$(PACKAGE)-$(VERSION)
RELEASE_TARBALL := $(TARGET_DIR)/$(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        := $(TARGET_DIR)/$(PACKAGE)-html
HTML_TARBALL    := $(TARGET_DIR)/$(PACKAGE)-html.tar.gz

PKG_ADD     := 

OCTAVE ?= octave --no-window-system --silent
MKOCTFILE ?= mkoctfile

.PHONY: help dist html release install all check run clean test_files

help:
	@echo "Targets:"
	@echo "   dist    - Create $(RELEASE_TARBALL) for release"
	@echo "   html    - Create $(HTML_TARBALL) for release"
	@echo "   release - Create both of the above and show md5sums"
	@echo
	@echo "   install - Install the package in GNU Octave"
	@echo "   all     - Build all oct files"
	@echo "   check   - Execute package tests (w/o install)"
	@echo "   run     - Run Octave with development in PATH (no install)"
	@echo
	@echo "   clean   - Remove releases, html documentation, and oct files"

%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(TARGET_DIR)/" "$(notdir $<)" | gzip -9n > $@
	-rm -rf $<

.PHONY: docs
docs: doc/$(PACKAGE).pdf

.PHONY: clean-docs
clean-docs:
	$(RM) -f doc/$(PACKAGE).info
	$(RM) -f doc/$(PACKAGE).pdf
	$(RM) -f doc/functions.texi

doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi
	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
	# remove temp files
	cd doc && $(RM) -f $(PACKAGE).aux $(PACKAGE).cp $(PACKAGE).cps $(PACKAGE).fn  $(PACKAGE).fns $(PACKAGE).log $(PACKAGE).toc

doc/functions.texi:
	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi


$(RELEASE_DIR): .hg/dirstate
	@echo "Creating package version $(VERSION) release ..."
	$(RM) -r "$@"
	$(call HG_CMD,archive) --exclude ".hg*" --type files --rev $(HG_ID) "$@"
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
	# build docs
#	$(MAKE) -C "$@" docs
	chmod -R a+rX,u+w,go-w "$@"

html_options = --eval 'options = get_html_options ("octave-forge");'
#html_options = --eval 'options = get_html_options ("octave-forge");' \
#               --eval 'options.package_doc = "$(PACKAGE).texi";'
$(HTML_DIR): install
	@echo "Generating HTML documentation. This may take a while ..."
	$(RM) -r "$@"
	$(OCTAVE) --no-window-system --silent \
	  --eval "pkg load generate_html; "   \
	  --eval "pkg load $(PACKAGE);"       \
	  $(html_options)                     \
	  --eval 'generate_package_html ("${PACKAGE}", "$@", options);'
	chmod -R a+rX,u+w,go-w $@
	-rm -rf $<

dist: $(RELEASE_TARBALL)
html: $(HTML_TARBALL)

release: dist html
	md5sum $(RELEASE_TARBALL) $(HTML_TARBALL)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo 'Execute: hg tag "release-${VERSION}"'

install: $(RELEASE_TARBALL)
	@echo "Installing package locally ..."
	$(OCTAVE) --eval 'pkg ("install", "-verbose", "${RELEASE_TARBALL}")'

all: $(CC_SOURCES)
	cd src/ && ./bootstrap && ./configure
	$(MAKE) -C src/

check: all
	$(OCTAVE) --path "$(TOPDIR)/inst/" --path "$(TOPDIR)/src/" \
	  --eval '${PKG_ADD}' \
	  --eval '__run_test_suite__ ({"$(TOPDIR)/inst"}, {})'

run: all
	$(OCTAVE) --persist --path "$(TOPDIR)/inst/" --path "$(TOPDIR)/src/" \
	  --eval '${PKG_ADD}'

doctest: all
	$(OCTAVE) --path "$(TOPDIR)/inst" --path "$(TOPDIR)/src" \
	  --eval '${PKG_ADD}' \
	  --eval 'pkg load doctest;' \
	  --eval "targets = {'$(TOPDIR)/inst', '$(TOPDIR)/src'};" \
	  --eval "doctest (targets);"

clean: clean-docs
	$(RM) -r $(TARGET_DIR) fntests.log
	test ! -e src/Makefile || $(MAKE) -C src clean

distclean: clean
	test ! -e src/Makefile || $(MAKE) -C src distclean

=== debian/changelog ===
octave-strings (1.3.1-2) unstable; urgency=medium

  * d/u/metadata:
    + Update Bug-Database and Repository-Browse URLs
    + Add Repository, Changelog, and Documentation URLs
    + Update Bug-Database URL
  * d/control:
    + Build-depend on pkgconf instead of the deprecated pkg-config package
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides : Update Lintian override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Thu, 09 Oct 2025 07:26:10 -0300

octave-strings (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * d/control: Homepage now points to Octave Packages
  * d/copyright: reflect upstream changes
  * unwind-protect-cleanup.patch: drop patch, applied upstream
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Jun 2023 11:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,14 @@
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
                dh-sequence-octave,
                libpcre2-dev,
-               pkg-config
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/strings/
+               pkgconf
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/strings/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-strings.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-strings
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-strings
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/strings/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/strings-@ANY_VERSION@@ARCHIVE_EXT@
